#links li:hover {
    background-color: teal;
}
#links li:hover a {

    color: white;
}

#links li:hover a::after {
    color:red;
    content: 'This is a link';
    text-decoration: underline;
}

.go-to {
    position: absolute;
    top:0;
    right:0;
    width:0;
    background-color: white;
    display:block;
}

.go-to:focus {
    width: 100px;
    border: 1px solid black;
}

#menu {
    padding: 0;
}

#menu li {
    list-style: none;
    border: 1px solid black;
    width: 140px;
    text-indent: 10px;
    background-color:white;
    position: relative;
    transition: all 0.5s;
}

#menu li:hover {
    background-color: black;
    color: white;
}

#menu li ul {
    display: none;
    color: black;
    position: absolute;
    left:140px;
    top:0;
    padding: 0;
}

#menu li:hover>ul {
    display: block;
}


